Package twisted :: Package im :: Module interfaces :: Class IChatUI

[frames | no frames]

## Class IChatUI

    Interface --+
                |
               IChatUI

Method Summary
| ``contactChangedNick`(self, oldnick, newnick)` For the given person, changes the person's name to newnick, and tells the contact list and any conversation windows with that person to change as well.
`ContactsList` | ``getContactsList`(self)`
`Conversation` | ``getConversation`(self, person, Class, stayHidden)` For the given person object, returns the conversation window or creates and returns a new conversation window if one does not exist.
`Group` | ``getGroup`(self, name, client)` Get a Group for a client.
`GroupConversation` | ``getGroupConversation`(self, group, Class, stayHidden)` For the given group object, returns the group conversation window or creates and returns a new group conversation window if it doesn't exist.
`Person` | ``getPerson`(self, name, client)` Get a Person for a client.
| ``registerAccountClient`(self, client)` Notifies user that an account has been signed on to.
| ``unregisterAccountClient`(self, client)` Notifies user that an account has been signed off or disconnected

Method Details

### contactChangedNick(self, oldnick, newnick)

For the given person, changes the person's name to newnick, and tells the contact list and any conversation windows with that person to change as well.

  Parameters:
    `oldnick`
    (type=string)
    `newnick`
    (type=string)

### getContactsList(self)

  Returns:
    `ContactsList`

### getConversation(self, person, Class, stayHidden=0)

For the given person object, returns the conversation window or creates and returns a new conversation window if one does not exist.

  Parameters:
    `person`
    (type=`Person`)
    `Class`
    (type=`Conversation` class)
    `stayHidden`
    (type=boolean)
  Returns:
    `Conversation`

### getGroup(self, name, client)

Get a Group for a client.

Duplicates `IAccount.getGroup`.

  Parameters:
    `name`
    (type=string)
    `client`
    (type=`Client`)
  Returns:
    `Group`

### getGroupConversation(self, group, Class, stayHidden=0)

For the given group object, returns the group conversation window or creates and returns a new group conversation window if it doesn't exist.

  Parameters:
    `group`
    (type=`Group`)
    `Class`
    (type=`Conversation` class)
    `stayHidden`
    (type=boolean)
  Returns:
    `GroupConversation`

### getPerson(self, name, client)

Get a Person for a client.

Duplicates `IAccount.getPerson`.

  Parameters:
    `name`
    (type=string)
    `client`
    (type=`Client`)
  Returns:
    `Person`

### registerAccountClient(self, client)

Notifies user that an account has been signed on to.

  Parameters:
    `client`
    (type=`Client`)

### unregisterAccountClient(self, client)

Notifies user that an account has been signed off or disconnected

  Parameters:
    `client`
    (type=`Client`)

Generated by Epydoc 2.0 on Sat May 15 20:08:18 2004 | http://epydoc.sf.net